com.google.gwt.user.datepicker.client

## Class CalendarView

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.google.gwt.user.datepicker.client.DatePickerComponent
        - - com.google.gwt.user.datepicker.client.CalendarView

- All Implemented Interfaces:
    HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget
  Direct Known Subclasses:
    DefaultCalendarView

      public abstract class CalendarView
      extends DatePickerComponent

  The CalendarView is a calendar grid that represents the current view of a `DatePicker`. Note, the calendar view only deals with the currently visible dates and all state is flushed when the calendar view is refreshed.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarView()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `addStyleToDate(java.lang.String styleName, java.util.Date date)` Adds a style name to the cell of the supplied date.
    `abstract java.util.Date` | `getFirstDate()` Returns the first date that is currently shown by the calendar.
    `abstract java.util.Date` | `getLastDate()` Returns the last date that is currently shown by the calendar.
    `abstract boolean` | `isDateEnabled(java.util.Date date)` Is the cell representing the given date enabled?
    `abstract void` | `removeStyleFromDate(java.lang.String styleName, java.util.Date date)` Removes a visible style name from the cell of the supplied date.
    `void` | `setAriaSelectedCell(java.util.Date date)` Sets aria-selected in the given date's cell and clears the other cells.
    `abstract void` | `setEnabledOnDate(boolean enabled, java.util.Date date)` Enables or Disables a particular date.
    `protected void` | `setHighlightedDate(java.util.Date date)` Allows the calendar view to update the date picker's highlighted date.

    - ### Methods inherited from class com.google.gwt.user.datepicker.client.DatePickerComponent

      `addMonths, css, getDatePicker, getModel, refresh, refreshAll, setDatePicker, setup`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarView

          public CalendarView()

      Constructor.

  - ### Method Detail

    - #### addStyleToDate

          public abstract void addStyleToDate(java.lang.String styleName,
                                              java.util.Date date)

      Adds a style name to the cell of the supplied date. This style is only set until the next time the `CalendarView` is refreshed.
      Parameters:
        `styleName` - style name to add
        `date` - date that will have the supplied style added

    - #### getFirstDate

          public abstract java.util.Date getFirstDate()

      Returns the first date that is currently shown by the calendar.
      Returns:
        the first date.

    - #### getLastDate

          public abstract java.util.Date getLastDate()

      Returns the last date that is currently shown by the calendar.
      Returns:
        the last date.

    - #### isDateEnabled

          public abstract boolean isDateEnabled(java.util.Date date)

      Is the cell representing the given date enabled?
      Parameters:
        `date` - the date
      Returns:
        is the date enabled

    - #### removeStyleFromDate

          public abstract void removeStyleFromDate(java.lang.String styleName,
                                                   java.util.Date date)

      Removes a visible style name from the cell of the supplied date.
      Parameters:
        `styleName` - style name to remove
        `date` - date that will have the supplied style added

    - #### setAriaSelectedCell

          public void setAriaSelectedCell(java.util.Date date)

      Sets aria-selected in the given date's cell and clears the other cells.
      Parameters:
        `date` - the date of the cell where aria-selected should be set, or null to clear aria-selected.

    - #### setEnabledOnDate

          public abstract void setEnabledOnDate(boolean enabled,
                                                java.util.Date date)

      Enables or Disables a particular date. by default all valid dates are enabled after a rendering event. Disabled dates cannot be selected.
      Parameters:
        `enabled` - true for enabled, false for disabled
        `date` - date to enable or disable

    - #### setHighlightedDate

          protected final void setHighlightedDate(java.util.Date date)

      Allows the calendar view to update the date picker's highlighted date.
      Parameters:
        `date` - the highlighted date